<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="baseURL" select="''"/>

<xsl:template match="PHOTOPAGES">
	<xsl:variable name="IMGPATH"><xsl:value-of select="@PAGE-NAME"/>/</xsl:variable>

    	<xsl:for-each select="PHOTOPAGE/PHOTO">
        <div style="float:left; margin-left:20px; margin-bottom:20px;">
	<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100px; height: 100px;">
		<tr>
			<td style="background-color: #7D7D7D;"></td>
			<td width="100%" style="background: url('images/{$IMGPATH}frame_tbg.gif') right repeat-x;">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background: url('images/{$IMGPATH}frame_t.gif') right no-repeat;"><tr><td></td></tr></table>
			</td>
			<td><img src="images/{$IMGPATH}frame_tr.gif" border="0" alt=""/></td>
		</tr>
		<tr>
			<td style="background-color: #7D7D7D;"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
			<td><A href="javascript:void(1);">
        				<xsl:attribute name="onclick">window.open('<xsl:value-of select="@DETAIL"/>', 'detail', 'width=<xsl:value-of select="@WIDTH"/>,height=<xsl:value-of select="@HEIGHT"/>,statusbar=no,scrollbar=yes,toolbar=no');</xsl:attribute>
        				<IMG border='0' height="150">
        				<xsl:attribute name="SRC"><xsl:value-of select="@THUMB"/></xsl:attribute>
        				<xsl:attribute name="ALT"><xsl:value-of select="@CAPTION"  disable-output-escaping="yes"/></xsl:attribute>
        				</IMG></A></td>
			<td style="background-color: #7D7D7D;"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
		</tr>
		<tr>
			<td><img src="images/{$IMGPATH}frame_bl.gif" border="0" alt=""/></td>
			<td style="background: url('images/{$IMGPATH}frame_bbg.gif') repeat-x;">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 29px; background: url('images/{$IMGPATH}frame_b.gif') no-repeat;"><tr><td></td></tr></table>
			</td>
			<td style="background-color: #7D7D7D;"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
		</tr>

        	<tr>
        		<td colspan="3" width="100%" height="60" align="center">
        			<table cellpadding="10" cellspacing="0" border="0">
        				<tr>
        					<td width="100%" align="center" class="pageContent">
                    			<xsl:choose>
                    			<xsl:when test='@CAPTION!=""'>
		        					<xsl:value-of select="@CAPTION" disable-output-escaping="yes"/>
                    			</xsl:when>
                    			<xsl:otherwise>
                    				&#160;
                    			</xsl:otherwise>
                    			</xsl:choose>
        					</td>
        				</tr>
        			</table>
        		</td>
        	</tr>
	</table>
</div>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
