<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="baseURL" select="''"/>

<xsl:template match="PHOTOPAGES">
	<xsl:variable name="IMGPATH"><xsl:value-of select="@PAGE-NAME"/>/</xsl:variable>

    	<xsl:for-each select="PHOTOPAGE/PHOTO">
        <div style="float:left; margin-left:20px; margin-bottom:20px;">
	<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100px; height: 100px;">
		<tr>
			<td style="background-color: #F1F1F1;"><div style="width:15px; height:18px;"><spacer type="block" width="18" height="15"/></div></td>
			<td style="background-color: #F1F1F1;"></td>
			<td style="background-color: #F1F1F1;"><div style="width:15px; height:1px;"><spacer type="block" width="15" height="1"/></div></td>
		</tr>
		<tr>
			<td style="background: #F1F1F1 url('images/{$IMGPATH}frame_l.gif') bottom no-repeat;"></td>
			<td><A href="javascript:void(1);">
        				<xsl:attribute name="onclick">window.open('<xsl:value-of select="@DETAIL"/>', 'detail', 'width=<xsl:value-of select="@WIDTH"/>,height=<xsl:value-of select="@HEIGHT"/>,statusbar=no,scrollbar=yes,toolbar=no');</xsl:attribute>
        				<IMG border='0' height="150">
        				<xsl:attribute name="SRC"><xsl:value-of select="@THUMB"/></xsl:attribute>
        				<xsl:attribute name="ALT"><xsl:value-of select="@CAPTION"  disable-output-escaping="yes"/></xsl:attribute>
        				</IMG></A></td>
			<td style="background-color: #F1F1F1;"></td>
		</tr>
		<tr>
			<td colspan="3">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background: url('images/{$IMGPATH}') no-repeat;">
					<tr>
						<td><img src="images/{$IMGPATH}frame_b.png" border="0" alt="" width="61" height="30" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
						<td width="100%" style="background-color: #F1F1F1;"></td>
					</tr>
				</table>
			</td>
		</tr>
	<tr>
        		<td colspan="3" width="100%" height="60" align="center">
        			<table cellpadding="10" cellspacing="0" border="0">
        				<tr>
        					<td width="100%" align="center" class="pageContent">
                    			<xsl:choose>
                    			<xsl:when test='@CAPTION!=""'>
		        					<xsl:value-of select="@CAPTION" disable-output-escaping="yes"/>
                    			</xsl:when>
                    			<xsl:otherwise>
                    				&#160;
                    			</xsl:otherwise>
                    			</xsl:choose>
        					</td>
        				</tr>
        			</table>
        		</td>
        	</tr>
	</table>
</div>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
