<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="../../styles/tabpanel.xsl"/>
<xsl:include href="../../styles/common.xsl"/>
<xsl:include href="../../styles/gui.xsl"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="SB_modules" select="''"/>





<xsl:template match="MCP">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>

<xsl:apply-templates select="//TABPANEL"/>


<table border="0" width="100%" cellspacing="0" cellpadding="1" >
<tr><td>
<form name="frame" method="post" action="{$baseURL}{$baseURL_SUFFIX}{@ACTION}">
<input type="hidden" name="sb_photomodule_frame" id="sb_photomodule_frame">
<xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
</input>
</form>
</td></tr>
</table>
</xsl:template>


<xsl:template match="BROWSE-FILE-USER">
        <form ENCTYPE="multipart/form-data" name="sb_browse_file_form" method="post" action="{$baseURL}{$baseURL_SUFFIX}{@ACTION}">
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td><table cellspacing="0" cellpadding="0"  width="">
                <tr>
                        <td style="padding-right:10px"><xsl:value-of select="TITLE" /></td>
                        <td valign="middle" class="SB_Style_formfield"><input type="file"  size="65" id="sb_path_update_file" name="sb_path_update_file">
                                <xsl:attribute name="value"><xsl:value-of select="BUTTON[@NAME='sb_load_file']/@VALUE"/></xsl:attribute>
                        </input></td>
                        <td valign="middle" align="left" style="padding-left:10px;">
                                <xsl:apply-templates select="BUTTON"/>
                        </td>
                </tr>
                </table></td>
        </tr>
        <tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10'/></td></tr>
        </table>
        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
<input type="hidden" name="sb_photomodule_frame" id="sb_photomodule_frame">
<xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
</input>
<xsl:apply-templates select="HIDDEN"/>
</form>
</xsl:template>

<xsl:template match="ADD-PHOTO-TEMPLATE">
                <form name="sb_add_file_form" method="post">
                <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <!--<fieldset style="float: center; margin-left: 5px;width:500px"><legend></legend>-->
                <table cellspacing="0" cellpadding="0" border="0" width="96%">
                <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">
                                                <tr>
                                                <td class="SB_Style_formfieldcolorfirst">
                                                <table cellspacing="0" cellpadding="5px" border="0" width="100%">
                                                        <tr>
                                                        <td align="center" style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="TITLE"/></b>
                                                        </td>
                                                                </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                                <td valign="bottom" align="right" style="padding-top:10px; padding-bottom:10px;">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB2" disable-output-escaping="yes"/>');</script>
                                </td>
                        </tr>
                </table>
                </td>
                </tr>
                </table>
                <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
                <input type="hidden" name="sb_phototemplate_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
		        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
				<xsl:apply-templates select="HIDDEN"/>
                </form>
</xsl:template>
<!--
/////
-->
<xsl:template match="ADD-PHOTO-LANG">
                <form name="sb_add_file_form" method="post">
                <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <!--<fieldset style="float: center; margin-left: 5px;width:500px"><legend></legend>-->
                <table cellspacing="0" cellpadding="0" border="0" width="96%">
                <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">
                                                <tr>
                                                <td class="SB_Style_formfieldcolorfirst">
                                                <table cellspacing="0" cellpadding="5px" border="0" width="100%">
                                                        <tr>
                                                        <td align="center" style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="TITLE"/></b>
                                                        </td>
                                                                </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                                <td valign="bottom" align="right" style="padding-top:10px; padding-bottom:10px;">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB2" disable-output-escaping="yes"/>');</script>
                                </td>
                        </tr>
                </table>
                </td>
                </tr>
                </table>
                <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
                <input type="hidden" name="sb_plang_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
                <input type="hidden" name="sb_photomodule_frame" id="sb_photomodule_frame">
				<xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
				</input>
		        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
				<xsl:apply-templates select="HIDDEN"/>
                </form>
</xsl:template>
<!--
/////
-->
<xsl:template match="UPDATE-PHOTO-TEMPLATE">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="96%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">

                                                <tr>

                                                <td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td width="16%" class="SB_Style_formtitle">&#160;
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                        <td>
                        <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr height="40px">
                        <td width="100%"  valign="middle" align="right">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB1" disable-output-escaping="yes"/>');</script>
                        </td>
                        </tr>
                        </table>
                        </td>
                        </tr>
        </table>
        </td>
        </tr>
        </table>
        <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
        <input type="hidden" name="sb_phototemplate_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
        <xsl:apply-templates select="HIDDEN"/>
        </form>
</xsl:template>
<!--
////
-->
<!--
/////
-->
<xsl:template match="UPDATE-PHOTO-LANG">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="96%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">

                                                <tr>

                                                <td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td width="16%" class="SB_Style_formtitle">&#160;
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                        <td>
                        <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr height="40px">
                        <td width="100%"  valign="middle" align="right">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB1" disable-output-escaping="yes"/>');</script>
                        </td>
                        </tr>
                        </table>
                        </td>
                        </tr>
        </table>
        </td>
        </tr>
        </table>
        <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
        <input type="hidden" name="sb_plang_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
        <input type="hidden" name="sb_photomodule_frame" id="sb_photomodule_frame">
        <xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
		<xsl:apply-templates select="HIDDEN"/>
        </input>
        </form>
</xsl:template>
</xsl:stylesheet>	
