<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--
  since: jan, 2005
version: $Id: ephotopage.xsl,v 1.2 2005/02/02 06:41:12 abrost Exp $
 author: Ilnar Salachiev

required hints:
	@pageName - file name of html-page (exmpl: 'page1.html')
-->
<xsl:output method="xml" standalone="no" indent="yes"/>
<xsl:strip-space elements="*"/>
<xsl:param name="pageName" select="'index.html'"/>
<xsl:param name="photoPageID" select="'0'"/>
<!--
//////
-->
<xsl:template match="PHOTO">
	<xsl:apply-templates  select="//TEMP-PHOTOPAGES/PHOTOPAGE[ @ID = $photoPageID ]"/>
</xsl:template>
<!--
//////
-->
<xsl:template match="PHOTOPAGE">
<PHOTOPAGES PAGE-NAME="{$pageName}">
	<xsl:copy-of select="."/>
</PHOTOPAGES>
</xsl:template>
<!--
//////
-->
<xsl:template match="*"><!-- no op --></xsl:template>

</xsl:stylesheet>